# HRNet系列

## 概述
HRNet是2019年由微软亚洲研究院提出的一种全新的神经网络，不同于以往的卷积神经网络，该网络全程都可以保持高分辨率，在网络深层无需恢复高分辨率特征，所以高分辨率的特征也不会丢失。在网络不同的阶段，都可以融合不同scale的特征，从而可以获得丰富的高分辨率表征。因此，预测的关键点热图可能更准确，在空间上也更精确。该网络可同时应用于分类、检测、分割、关键点等任务中。由于其全程保持高分辨率，所以在检测、分割、关键点任务中，表现尤为优异。

该系列模型的FLOPS、参数量以及FP32预测耗时如下图所示。

![](../../images/models/HRNet.png.flops.png)

![](../../images/models/HRNet.png.params.png)

![](../../images/models/HRNet.png.fp32.png)
目前paddleclas开源的这类模型的预训练模型一共有7个，其指标如图所示，除了HRNet_W48_C,其他模型的精度指标均符合预期。HRNet_W48_C指标精度异常的原因可能是因为网络训练的正常波动。


## 精度、FLOPS和参数量

| Models      | Top1   | Top5   | Reference<br>top1 | Reference<br>top5 | FLOPS<br>(G) | Parameters<br>(M) |
|:--:|:--:|:--:|:--:|:--:|:--:|:--:|
| HRNet_W18_C | 0.769  | 0.934  | 0.768             | 0.934             | 4.140        | 21.290            |
| HRNet_W30_C | 0.780  | 0.940  | 0.782             | 0.942             | 16.230       | 37.710            |
| HRNet_W32_C | 0.783  | 0.942  | 0.785             | 0.942             | 17.860       | 41.230            |
| HRNet_W40_C | 0.788  | 0.945  | 0.789             | 0.945             | 25.410       | 57.550            |
| HRNet_W44_C | 0.790  | 0.945  | 0.789             | 0.944             | 29.790       | 67.060            |
| HRNet_W48_C | 0.790  | 0.944  | 0.793             | 0.945             | 34.580       | 77.470            |
| HRNet_W64_C | 0.793  | 0.946  | 0.795             | 0.946             | 57.830       | 128.060           |


## FP32预测速度

| Models      | Crop Size | Resize Short Size | Batch Size=1<br>(ms) |
|-------------|-----------|-------------------|--------------------------|
| HRNet_W18_C | 224       | 256               | 7.368                    |
| HRNet_W30_C | 224       | 256               | 9.402                    |
| HRNet_W32_C | 224       | 256               | 9.467                    |
| HRNet_W40_C | 224       | 256               | 10.739                   |
| HRNet_W44_C | 224       | 256               | 11.497                   |
| HRNet_W48_C | 224       | 256               | 12.165                   |
| HRNet_W64_C | 224       | 256               | 15.003                   |
